<form [formGroup]="createOrganization" class="form">
  <div class="form__top">
    <div nz-row class="form-row">
      <div nz-col nzSpan="8" class="form-row__left">
        <div class="title-input">
          <p class="form-row__label">Số quyết định</p>
          <p class="required">*</p>
        </div>
        <span>{{createOrganization.value.sapNo}}</span>
      </div>
      <div nz-col nzSpan="8" class="form-row__center">
        <div class="title-input">
          <p class="form-row__label">Ngày hiệu lực</p>
          <p class="required">*</p>
        </div>
        <span>{{createOrganization.value.dateVisible ? (createOrganization.value.dateVisible | date: 'dd/MM/yyyy') : ''}}</span>
      </div>

      <div nz-col nzSpan="8" class="form-row__right">
        <div class="title-input">
          <p class="form-row__label">File đính kèm</p>
          <p class="required">*</p>
        </div>
        <a (click)="showPopup()" nz-tooltip
        [nzTooltipTitle]="createOrganization.value.attach">{{createOrganization.value.attach}}</a>
      </div>
    </div>
    <div nz-row class="form-row" style="padding-top: 32px;">
      <div nz-col nzSpan="16">
        <div nz-row>
          <div nz-col nzSpan="12" class="form-row__left">
            <div>
              <span nz-typography class="form-row__label">Đơn vị cấp trên</span>
            </div>
            <span>{{createOrganization.value.parentUnit}}</span>
          </div>
          <div *ngIf="orgLevel !== 0" nz-col nzSpan="12" class="form-row__center">
            <div *ngIf="createOrganization.value.regionView">
              <div>
                <span nz-typography class="form-row__label">Khu vực</span>
              </div>
              <span>{{createOrganization.value.regionView}}</span>
            </div>
          </div>
        </div>
      </div>
      <div *ngIf="orgLevel !== 0" nz-col nzSpan="8">
        <div *ngIf="createOrganization.value.branchView" nz-row>
          <div nz-col nzSpan="12" class="form-row__left">
            <div>
              <span nz-typography class="form-row__label">Loại chi nhánh</span>
            </div>
            <span>{{createOrganization.value.branchView}}</span>
          </div>
          <div nz-col nzSpan="12" class="form-row__center" *ngIf="createOrganization.value.branch === 'PGD Online' || createOrganization.value.branch === 'TX8'">
            <div>
              <span nz-typography class="form-row__label">Chi nhánh pháp lý</span>
            </div>
            <span>{{nameSelectedLegalBranch}}</span>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div nz-row class="template">
    <div class="jd-table">
      <nz-table #basicTable nzTableLayout="fixed" [nzData]="listData.length ? listData : []" [nzFrontPagination]="false" [nzShowPagination]="false" nzSize="small">
        <thead>
          <tr>
            <th scope="col" class="jd-table__label" nzWidth="30%">Tên đơn vị</th>
            <th scope="col" class="jd-table__label" nzWidth="35%">Chức năng chuyên biệt</th>
            <th scope="col" class="jd-table__label" nzWidth="35%">Job</th>
          </tr>
        </thead>
        <tbody>
          <ng-container *ngFor="let data of listData; let i = index">
            <tr>
              <td>
                <span>{{data.control?.value}}</span>
              </td>
              <td colspan="2">
            <tr *ngFor="let fun of data.function; let f1 = index" class="row-container__tr">
              <div class="row-container" [ngClass]="f1 === 0 ? '' : 'form-row__padding'">
                <td class="row-container__fun" *ngIf="fun.value.value !== ''">
                  <div class="text-overflow" nz-tooltip [nzTooltipTitle]="fun.value.value">
                    <span class="fun-row__span">{{fun.value.value}} </span>
                  </div>
                </td>
                <td class="row-container__job">
                  <ng-container *ngFor="let job of fun.job; let f1 = index">
                    <div class="fun-row">
                      <span>{{job.value}} </span>
                    </div>
                  </ng-container>
                </td>
              </div>
            </tr>
            </td>
            </tr>
            <ng-container *ngFor="let dv1 of data.children; let i1 = index">
              <tr>
                <td style="padding-left: 3%;"> <span>{{dv1.control.value}} </span></td>
                <td colspan="2">
                  <tr *ngFor="let fun of dv1.function; let f1 = index" class="row-container__tr">
                    <div class="row-container" [ngClass]="f1 === 0 ? '' : 'form-row__padding'">
                      <div class="row-container__fun" *ngIf="fun.value.value !== ''">
                        <span class="fun-row__span">{{fun.value.value}} </span>
                      </div>
                        <div class="row-container__job">
                          <ng-container *ngFor="let job of fun.job; let f1 = index">
                            <div class="fun-row">
                              <span>{{job.value}} </span>
                            </div>
                          </ng-container>
                        </div>
                      </div>
                  </tr>
                </td>
              </tr>
              <ng-container *ngFor="let dv2 of dv1.children; let i2 = index">
                <tr>
                  <td style="padding-left: 5%;"><span>{{dv2.control.value}} </span></td>
                  <td colspan="2">
                    <tr *ngFor="let fun of dv2.function; let f1 = index" class="row-container__tr">
                      <div class="row-container" [ngClass]="f1 === 0 ? '' : 'form-row__padding'">
                        <div class="row-container__fun" *ngIf="fun.value.value !== ''">
                          <span class="fun-row__span">{{fun.value.value}} </span>
                        </div>
                          <div class="row-container__job">
                            <ng-container *ngFor="let job of fun.job; let f1 = index">
                              <div class="fun-row">
                                <span>{{job.value}} </span>
                              </div>
                            </ng-container>
                          </div>
                        </div>
                    </tr>
                </td>
                </tr>


                <ng-container *ngFor="let dv3 of dv2.children; let i3 = index">
                  <tr>
                    <td style="padding-left: 7%;"><span>{{dv3.control.value}} </span>
                    </td>
                    <td colspan="2" >
                      <tr *ngFor="let fun of dv3.function; let f1 = index" class="row-container__tr">
                        <div class="row-container" [ngClass]="f1 === 0 ? '' : 'form-row__padding'">
                          <div class="row-container__fun" *ngIf="fun.value.value !== ''">
                            <span class="fun-row__span">{{fun.value.value}} </span>
                          </div>
                            <div class="row-container__job">
                              <ng-container *ngFor="let job of fun.job; let f1 = index">
                                <div class="fun-row">
                                  <span>{{job.value}} </span>
                                </div>
                              </ng-container>
                            </div>
                          </div>
                      </tr>
                  </td>
                  </tr>
                </ng-container>
              </ng-container>
            </ng-container>
          </ng-container>
        </tbody>
      </nz-table>
    </div>
  </div>
</form>

<nz-modal [(nzVisible)]="isVisible" [nzTitle]="modalTitle" [nzContent]="modalContent" [nzFooter]="modalFooter"
  [nzStyle]="{ width: '80vw' }" (nzOnCancel)="handleCancel()">
  <ng-template #modalTitle>View PDF File</ng-template>

  <ng-template #modalContent>
    <div>
      <pdf-viewer [src]="pdfSrc" [show-all]="true" [fit-to-page]="true" [render-text]="true" [original-size]="true"
        style="display: block; border: 1px solid #141ed2; height: 70vh;"></pdf-viewer>
    </div>
  </ng-template>

  <ng-template #modalFooter>
    <p></p>
  </ng-template>
</nz-modal>
